<?php
namespace Stock\Fixture;



class Type extends \Fixture\Service\Fixture
{

	static public function build()
	{
		 parent::addStack('\Stock\Entity\Type', array(
				array(
						'name'       => '1400',
						'model'      => self::getReference('Model.Audi.A1'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2000'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2010'),
						'discMonth'  => '05'
				),
				array(
						'name'       => '1100 Sport',
						'model'      => self::getReference('Model.Audi.A1'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2010'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2013'),
						'discMonth'  => '05'
				),
				array(
						'name'       => 'Sedan',
						'model'      => self::getReference('Model.Audi.A3'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2005'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2013'),
						'discMonth'  => '05'
				),
				array(
						'name'       => 'Hatchback',
						'model'      => self::getReference('Model.Audi.A3'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.1995'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2002'),
						'discMonth'  => '05'
				),
				array(
						'name'       => '1800 A',
						'model'      => self::getReference('Model.Mercedes.A Class'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.1997'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.1999'),
						'discMonth'  => '05'
				),
				array(
						'name'       => '1850 C',
						'model'      => self::getReference('Model.Mercedes.A Class'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.1995'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2013'),
						'discMonth'  => '05'
				),
				array(
						'name'       => 'A',
						'model'      => self::getReference('Model.Mercedes.Compressor'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2005'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2013'),
						'discMonth'  => '05'
				),
				array(
						'name'       => 'Truck',
						'model'      => self::getReference('Model.Mercedes.Compressor'),
						'category'   => self::getReference('Category.Medium'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2009'),
						'introMonth' => '05',
						'discYear'   => self::getReference('Year.2013'),
						'discMonth'  => '05'
				),
				array(
						'name'       => '2400',
						'model'      => self::getReference('Model.Ford.Focus'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.1995'),
						'introMonth' => '05'
				),
				array(
						'name'       => '2000',
						'model'      => self::getReference('Model.Ford.Focus'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.1998'),
						'introMonth' => '05'
				),
				array(
						'name'       => '1800',
						'model'      => self::getReference('Model.Ford.Focus'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.1997'),
						'introMonth' => '05'
				),
				array(
						'name'       => '1800',
						'model'      => self::getReference('Model.Ford.Fiesta'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2001'),
						'introMonth' => '05'
				),
				array(
						'name'       => '1600',
						'model'      => self::getReference('Model.Ford.Fiesta'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2003'),
						'introMonth' => '05'
				),
				array(
						'name'       => '1800',
						'model'      => self::getReference('Model.Toyota.Carola'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2007'),
						'introMonth' => '05'
				),
				array(
						'name'       => '2500',
						'model'      => self::getReference('Model.Toyota.RX 8'),
						'category'   => self::getReference('Category.Auto'),
						'mmCode'     => '4042355',
						'introYear'  => self::getReference('Year.2003'),
						'introMonth' => '05'
				)
		));
	}

}